<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Ticket_Sucursal_dynamicSize" language="groovy" pageWidth="204" pageHeight="10000" columnWidth="204" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="11a92365-c4f5-4806-b1a1-ad327ebfdc78">
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="455"/>
	<property name="ireport.callouts" value="##Sat Jul 21 10:43:27 CDT 2012"/>
	<parameter name="codigoPedido" class="java.lang.Integer"/>
	<parameter name="fecha" class="java.lang.String"/>
	<parameter name="hora" class="java.lang.String"/>
	<parameter name="direccion" class="java.lang.String"/>
	<parameter name="cliente" class="java.lang.String"/>
	<parameter name="rfc" class="java.lang.String"/>
	<parameter name="usuario" class="java.lang.String"/>
	<parameter name="condiciones" class="java.lang.String"/>
	<parameter name="subtotal" class="java.lang.String"/>
	<parameter name="iva" class="java.lang.String"/>
	<parameter name="descuento" class="java.lang.String"/>
	<parameter name="total" class="java.lang.String"/>
	<parameter name="importeLetra" class="java.lang.String"/>
	<parameter name="LeyendaFotter" class="java.lang.String"/>
	<parameter name="recibimos" class="java.lang.String"/>
	<parameter name="cambio" class="java.lang.String"/>
	<parameter name="sucNum" class="java.lang.String"/>
	<parameter name="sucNombre" class="java.lang.String"/>
	<parameter name="sucDireccion" class="java.lang.String"/>
	<parameter name="esClienteRegistrado" class="java.lang.Boolean">
		<defaultValueExpression><![CDATA[false]]></defaultValueExpression>
	</parameter>
	<parameter name="ticket" class="java.lang.String">
		<defaultValueExpression><![CDATA["ERROR"]]></defaultValueExpression>
	</parameter>
	<parameter name="caja" class="java.lang.String">
		<defaultValueExpression><![CDATA["ERROR"]]></defaultValueExpression>
	</parameter>
	<parameter name="aprobacion" class="java.lang.String"/>
	<queryString>
		<![CDATA[select * from orders where orderid < 10255]]>
	</queryString>
	<field name="cantidad" class="java.lang.Integer"/>
	<field name="clave" class="java.lang.Integer"/>
	<field name="codigoBarras" class="java.lang.String"/>
	<field name="descripcion" class="java.lang.String"/>
	<field name="precio" class="java.lang.String"/>
	<field name="importe" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="132" splitType="Stretch">
			<staticText>
				<reportElement x="43" y="0" width="161" height="12" uuid="9df5a8cb-79fe-4882-a269-5ad13cec94c2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[PERFUMERIA MARLEN]]></text>
			</staticText>
			<image>
				<reportElement x="0" y="0" width="43" height="43" uuid="27c523cd-df0f-4822-976b-902c89e2b894"/>
				<imageExpression><![CDATA["imgs/PMarlen_Logo_trazo_1.jpg"]]></imageExpression>
			</image>
			<textField isStretchWithOverflow="true">
				<reportElement x="65" y="77" width="69" height="10" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fecha}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="137" y="77" width="36" height="10" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{hora}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="65" y="105" width="139" height="10" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{condiciones}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="105" width="65" height="10" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[FORMA PAGO :]]></text>
			</staticText>
			<textField>
				<reportElement x="65" y="96" width="139" height="10" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{usuario}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="96" width="65" height="10" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[LE ATENDIO :]]></text>
			</staticText>
			<staticText>
				<reportElement x="43" y="12" width="161" height="10" uuid="9df5a8cb-79fe-4882-a269-5ad13cec94c2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[S.A. de C.V.]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="77" width="65" height="10" uuid="c08ef22d-5d2d-452b-a51a-97a99ccbca2a"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[FECHA Y HORA :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="87" width="65" height="10" uuid="2a5b9a4b-98fa-4d7d-b37c-8e41f7f7044c"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[CAJA :]]></text>
			</staticText>
			<textField>
				<reportElement x="65" y="114" width="139" height="18" uuid="0520cc06-b769-4a56-a09c-26bfe0084802">
					<printWhenExpression><![CDATA[$P{esClienteRegistrado}]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{cliente}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="65" y="87" width="43" height="10" uuid="51772e2a-f3e8-407b-bf1d-7bdc13dd6d2a"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{caja}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="65" y="67" width="118" height="10" uuid="acd2e997-535e-4967-a45f-0decfadfb913">
					<printWhenExpression><![CDATA[$P{ticket}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ticket}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="67" width="65" height="10" uuid="0ea76ec8-9490-4926-b87e-79c80b55033d">
					<printWhenExpression><![CDATA[$P{ticket}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[TICKET :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="114" width="65" height="10" uuid="992b6823-073a-417a-8ec1-c3bdc208b7e6"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[CLIENTE :]]></text>
			</staticText>
			<textField>
				<reportElement x="65" y="114" width="139" height="10" uuid="fd95e12a-2883-484a-9132-1519b58a0084">
					<printWhenExpression><![CDATA[!$P{esClienteRegistrado}]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{cliente}]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="21" y="45" width="163" height="20" uuid="6861d1bd-3bf0-41c8-96a6-f602d2a716ac">
					<printWhenExpression><![CDATA[$P{ticket}.length()>1]]></printWhenExpression>
				</reportElement>
				<jr:barbecue xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" type="Code128" drawText="false" checksumRequired="false">
					<jr:codeExpression><![CDATA[$P{ticket}]]></jr:codeExpression>
				</jr:barbecue>
			</componentElement>
			<textField>
				<reportElement x="43" y="21" width="161" height="10" uuid="f040c27c-6918-4cb7-94f0-c2faa3322550"/>
				<textElement textAlignment="Center">
					<font size="6" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{sucNombre}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="43" y="31" width="161" height="12" uuid="a02ac252-9843-454d-af65-762bb6d1cfc7"/>
				<textElement textAlignment="Center">
					<font size="5" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{sucDireccion}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="35" splitType="Stretch">
			<printWhenExpression><![CDATA[$P{esClienteRegistrado}]]></printWhenExpression>
			<textField>
				<reportElement x="65" y="9" width="139" height="26" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{direccion}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="9" width="65" height="10" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[DIRECCIÓN :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="0" width="65" height="10" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[R.F.C. :]]></text>
			</staticText>
			<textField>
				<reportElement x="65" y="0" width="139" height="10" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{rfc}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="23" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="204" height="1" uuid="250318ba-12bd-4630-ac68-f3b6de57b260"/>
			</line>
			<staticText>
				<reportElement x="0" y="0" width="15" height="10" uuid="fd29a5f7-5f19-4a1a-82e5-4390c0d1138f"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[CNT]]></text>
			</staticText>
			<staticText>
				<reportElement x="19" y="0" width="52" height="10" uuid="4005f7ec-dd1d-4556-9a6d-96881556f253"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[ || C. BARRAS||]]></text>
			</staticText>
			<staticText>
				<reportElement x="73" y="0" width="131" height="10" uuid="17c9df98-64d8-4f44-b235-e18950dadb8d"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[DESCRIPCIÓN]]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="10" width="84" height="10" uuid="66dbcf7e-15d2-41b4-b412-aadee80993e2"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[$ PRECIO UNITARIO]]></text>
			</staticText>
			<staticText>
				<reportElement x="146" y="10" width="58" height="10" uuid="64e50ed6-b845-4b80-9da5-04691bc5d59d"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7"/>
				</textElement>
				<text><![CDATA[$ IMPORTE]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="19" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="15" height="10" uuid="f5ebce7c-d8a1-4832-9127-db0eeaf8d310"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cantidad}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement x="68" y="9" width="40" height="10" uuid="41ff0ea2-7f08-4e2d-a735-69e4a18b67dd"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{precio}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement x="154" y="9" width="50" height="10" uuid="41ff0ea2-7f08-4e2d-a735-69e4a18b67dd"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{importe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="16" y="0" width="59" height="10" uuid="f5ebce7c-d8a1-4832-9127-db0eeaf8d310"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{codigoBarras}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="75" y="0" width="131" height="10" uuid="b10f7b15-2491-45f0-a5a4-cd67e5a2e6a7"/>
				<textElement verticalAlignment="Middle">
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descripcion}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="34" y="9" width="16" height="10" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<text><![CDATA[X]]></text>
			</staticText>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<summary>
		<band height="139" splitType="Stretch">
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="14" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{subtotal}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="2" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802">
					<printWhenExpression><![CDATA[$P{descuento}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{descuento}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="26" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{iva}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="38" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{total}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="0" y="89" width="204" height="22" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{importeLetra}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="127" y="0" width="77" height="1" uuid="fce0af67-044d-4ae8-84f0-cf5800594d03"/>
			</line>
			<staticText>
				<reportElement x="62" y="14" width="65" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<text><![CDATA[SUBTOTAL :]]></text>
			</staticText>
			<staticText>
				<reportElement x="34" y="2" width="93" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0">
					<printWhenExpression><![CDATA[$P{descuento}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<text><![CDATA[DESCUENTO APLICADO:]]></text>
			</staticText>
			<staticText>
				<reportElement x="62" y="26" width="65" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<text><![CDATA[ I.V.A. :]]></text>
			</staticText>
			<staticText>
				<reportElement x="62" y="38" width="65" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL :]]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="50" width="77" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0">
					<printWhenExpression><![CDATA[$P{recibimos} != null && $P{recibimos}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isItalic="true"/>
				</textElement>
				<text><![CDATA[Recibimos :]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="138" width="204" height="1" uuid="287dbcc9-dca4-49b0-a2da-c43c251368e7"/>
				<graphicElement>
					<pen lineStyle="Dashed"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="50" y="61" width="77" height="12" uuid="6ed43173-89c5-4942-b022-deaf25bafde0">
					<printWhenExpression><![CDATA[$P{cambio} != null && $P{cambio}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isItalic="true"/>
				</textElement>
				<text><![CDATA[Su cambio :]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="50" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802">
					<printWhenExpression><![CDATA[$P{recibimos} != null && $P{recibimos}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{recibimos}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="61" width="77" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802">
					<printWhenExpression><![CDATA[$P{cambio} != null && $P{cambio}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{cambio}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="50" y="72" width="77" height="12" uuid="a5dc7db1-775a-4e7c-8501-1941507dbf19">
					<printWhenExpression><![CDATA[$P{aprobacion} != null && $P{aprobacion}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isItalic="true"/>
				</textElement>
				<text><![CDATA[No. de Aprobación :]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="72" width="77" height="12" uuid="5070376c-4374-4372-b9c3-a0baba159aae">
					<printWhenExpression><![CDATA[$P{aprobacion} != null && $P{aprobacion}.length()>1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{aprobacion}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="111" width="204" height="16" uuid="f34b1bed-fac6-4482-8f73-45c3ea099a64"/>
				<textElement textAlignment="Center">
					<font size="6" isItalic="false"/>
				</textElement>
				<text><![CDATA[http://perfumeriamarlen.com.mx
http://www.facebook.com/PerfumeriaMarlen]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement x="0" y="127" width="204" height="12" uuid="0520cc06-b769-4a56-a09c-26bfe0084802"/>
				<textElement textAlignment="Center">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{LeyendaFotter}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
